
package de.ivu.elect.presentation.wahlbeteiligung.form;

import java.io.Serializable;

import javax.inject.Inject;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungAuswertung;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungAuswertungProperties;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;

public class WahlbeteiligungAuswertungViewFormBuilder implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahlbeteiligungAuswertungUniqueUKFacesValidator facesValidator;

  public void addProperties(FormBuilder formBuilder, WahlbeteiligungAuswertung entity) {
    WahlbeteiligungAuswertungProperties properties = entity.getProperties();
    formBuilder.addProperty(properties.getDatumProperty()).withValidatorAndPk(facesValidator, entity.getPk());
    formBuilder.addProperty(properties.getTypMitLeererAuswahlProperty());
    formBuilder.addProperty(properties.getStatusMitLeererAuswahlProperty());
    formBuilder.addProperty(properties.getBemerkungProperty());
  }
}
